textures/bitterblossom/d_wall1a
{
	surfaceparm slick
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/d_wall1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bitterblossom/d_rock_cliff01
{
	surfaceparm slick
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/d_rock_cliff01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bitterblossom/d_ter_rock3
{
	surfaceparm slick
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/d_ter_rock3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bitterblossom/phant_brick_04
{
	surfaceparm slick
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/phant_brick_04.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bitterblossom/light_yellow
{
	qer_editorimage textures/bitterblossom/sub/qe_light_yellow.jpg
	surfaceparm nomarks
	q3map_lightrgb 1 0.979767 0.286641
	q3map_surfacelight 300
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/sub/window_glass_01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map $whiteimage
		rgbgen const ( 1 0.979767 0.286641 )
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bitterblossom/light_azure
{
	qer_editorimage textures/bitterblossom/sub/qe_light_azure.jpg
	surfaceparm nomarks
	q3map_lightrgb 0.707637 0.982361 1
	q3map_surfacelight 300
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/sub/window_glass_01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map $whiteimage
		rgbgen const ( 0.707637 0.982361 1 )
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bitterblossom/icy
{
	qer_trans 0.80
	qer_editorimage textures/bitterblossom/ice.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256

	{
		map textures/bitterblossom/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/bitterblossom/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/bitterblossom/icy_ob
{
	qer_trans 0.80
	qer_editorimage textures/bitterblossom/sub/qe_ice_ob.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	surfaceparm ob
	tessSize 256

	{
		map textures/bitterblossom/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/bitterblossom/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/bitterblossom/cage_lightn
{
	qer_editorimage textures/bitterblossom/cage_lightn.tga
	q3map_lightimage textures/bitterblossom/cage_lightn.tga
	q3map_lightrgb 1 0.999954 0.467735
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map textures/bitterblossom/cage_lightn.tga
		rgbGen vertex
	}
	{
		map textures/bitterblossom/sub/cage_light.blendn.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/bitterblossom/water
{
	qer_editorimage textures/bitterblossom/d_water1e.tga
	qer_trans .5
	q3map_globaltexture
	//q3map_surfacelight 128
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	
	{ 
		map textures/bitterblossom/d_water1e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/bitterblossom/sub/d_water2e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/bitterblossom/water_selflight
{
	qer_editorimage textures/bitterblossom/d_water1e.tga
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 128
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	
	{ 
		map textures/bitterblossom/d_water1e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/bitterblossom/sub/d_water2e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/bitterblossom/lesky
{
	qer_editorimage textures/bitterblossom/sub/skytime_up.tga
	q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	
	q3map_sunEXT 1 0.788 0.347 128 100 50 3 12
	q3map_skyLight 150 4
	q3map_lightRGB 1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/bitterblossom/sub/skytime - -

	nopicmip
	nomipmaps
}

textures/bitterblossom/d_solli1:q3map
{
	q3map_lightmapBrightness .8
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bitterblossom/d_solli1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bitterblossom/grass_models
{
	qer_editorimage textures/bitterblossom/sub/qe_grass_models.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.7 )
	
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 120
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .8 1 2 0 359 1

	{
		// Secondary
		map textures/foliages/terrain_grass.tga
		rgbGen identity
	}
		{
		// Primary
		map textures/foliages/terrain_dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bitterblossom/grass_nomodels
{
	qer_editorimage textures/bitterblossom/sub/qe_grass_nomodels.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.7 )
	
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 120

	{
		// Secondary
		map textures/foliages/terrain_grass.tga
		rgbGen identity
	}
		{
		// Primary
		map textures/foliages/terrain_dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/bitterblossom/models_notexture
{
	qer_editorimage textures/bitterblossom/sub/qe_models_notexture.tga
	qer_trans .5
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .8 1 2 0 359 1
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/bitterblossom/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/bitterblossom/blackfog
{
	qer_editorimage textures/bitterblossom/sub/kc_fogcloud3.tga
	qer_trans 0.65
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 512
	q3map_bouncescale 0
	
	{
		map textures/bitterblossom/sub/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/bitterblossom/sub/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/bitterblossom/waterlight
{
	qer_editorimage textures/bitterblossom/sub/qe_water_light.tga
	qer_trans .5
	q3map_surfacelight 128
	q3map_lightimage textures/bitterblossom/d_water1e.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/bitterblossom/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}