textures/ss24_arctic/ice1
{
    qer_editorimage textures/ss24_arctic/ice1_2
    surfaceparm nodamage
    surfaceparm slick
    //surfaceparm trans
    surfaceparm nomarks
    cull none

    {
        map textures/ss24_arctic/ice1_2
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ss24_arctic/snow
{
	qer_editorimage textures/ss24_arctic/ice1_2
	q3map_globaltexture
	tessSize 128
	deformVertexes normal .5 0
	deformVertexes bulge 128 5 0
	{
		map textures/ss24_arctic/ice1_2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ss24_arctic/ice2
{
    qer_editorImage textures/ss24_arctic/ice1_3
    qer_trans 0.5
    surfaceparm slick
    surfaceparm trans
    surfaceparm glass
    surfaceparm nodamage
	q3map_surfacelight 300
    {
        map textures/ss24_arctic/ice1_3
        blendFunc blend
        //alphaGen const 0.05
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/ss24_arctic/ice3
{
    qer_editorImage textures/ss24_arctic/ice1_3
    qer_trans 0.5
    surfaceparm slick
    surfaceparm trans
    surfaceparm glass
    surfaceparm nodamage
    {
        map textures/ss24_arctic/ice1_3
        blendFunc blend
        //alphaGen const 0.05
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/ss24_arctic/sky
{
	qer_editorimage textures/pukka3tourney7/clouds.tga
	q3map_sunExt 0.78 0.8 0.9 75 335 25 1 16
	q3map_skylight 35 8
	q3map_lightRGB 0.87 0.9 1.0
	q3map_noFog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/arctic_madman/pukka3tourney7 768 -
	noPicmip
	noMipMaps
	{
		map textures/pukka3tourney7/clouds2.tga
		tcMod scale 4 4 
		tcMod scroll .005 0.00375
		blendfunc blend
	}
}

textures/ss24_arctic/cage_lightn
{
	qer_editorimage textures/bitterblossom/cage_lightn.tga
	q3map_lightimage textures/bitterblossom/cage_lightn.tga
	q3map_lightrgb 1 0.999954 0.467735
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map textures/bitterblossom/cage_lightn.tga
		rgbGen vertex
	}
	{
		map textures/bitterblossom/sub/cage_light.blendn.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ss24_arctic/cage_lightn_b
{
	qer_editorimage textures/ss24_arctic/bright.tga
	q3map_lightimage textures/ss24_arctic/bright.tga
	q3map_lightrgb 1 0.999954 0.467735
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map textures/ss24_arctic/bright.tga
		rgbGen vertex
	}
	{
		map textures/ss24_arctic/bright_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ss24_arctic/icefog_white
{
	qer_editorimage textures/arctic/fog.tga
	qer_trans 0.15
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	sort 16
	fogparms ( .8 .8 .8 ) 10000
}

textures/ss24_arctic/blackfog
{
    qer_editorimage textures/bitterblossom/sub/kc_fogcloud3.tga
    qer_trans 0.65
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    fogparms ( 0.799695 0.975708 1 ) 35000
    q3map_bouncescale 0
    
    {
        map textures/bitterblossom/sub/kc_fogcloud3.tga
        blendfunc gl_dst_color gl_zero
        tcmod scale -.05 -.05
        tcmod scroll .01 -.01
        rgbgen identity
    }

    {
        map textures/bitterblossom/sub/kc_fogcloud3.tga
        blendfunc gl_dst_color gl_zero
        tcmod scale .05 .05
        tcmod scroll .01 -.01
        rgbgen identity
    }
}

models/mapobjects/xlab_props/light_1
{
	qer_editorimage models/mapobjects/xlab_props/light
    surfaceparm nomarks
    surfaceparm alphashadow
 	surfaceparm nolightmap
	{
		map models/mapobjects/xlab_props/light
		rgbgen identity
	}
}

models/mapobjects/blitz_sd/blitz_sd_arches
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_arches_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_arches_s
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_arches_s_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_body
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_body_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_body_s
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_body_s_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_interior_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_interior.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd_interior.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_interior02_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_interior02.tga
    cull none
    {
        map models/mapobjects/blitz_sd/blitz_sd_interior02.tga
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

models/mapobjects/blitz_sd/blitz_sd_windows
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    {
        map textures/effects/envmap_slate.tga
        rgbGen lightingdiffuse
        tcGen environment
    }
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbgen lightingDiffuse
    }
}

models/mapobjects/blitz_sd/blitz_sd_windows_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
    {
        map textures/effects/envmap_slate.tga
        rgbGen lightingdiffuse
        tcGen environment
    }
    {
        map models/mapobjects/blitz_sd/blitz_sd.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbgen lightingdiffuse
    }
}

models/mapobjects/blitz_sd/blitz_sd_windows_s
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    {
        map textures/effects/envmap_slate.tga
        rgbGen lightingdiffuse
        tcGen environment
    }
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbgen lightingDiffuse
    }
}

models/mapobjects/blitz_sd/blitz_sd_windows_s_mm
{
    qer_editorimage models/mapobjects/blitz_sd/blitz_sd_s.tga
    {
        map textures/effects/envmap_slate.tga
        rgbGen lightingdiffuse
        tcGen environment
    }
    {
        map models/mapobjects/blitz_sd/blitz_sd_s.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbgen environment
    }
}

textures/ss24_arctic/stone_blend
{
	qer_editorImage textures/ss24_arctic/d_rock_cliff02
	surfaceparm nodamage
	q3map_alphaMod dotproduct ( 0 0 0.85 )
	q3map_nonplanar
	q3map_shadeAngle 90
	{
		// Primary
		map  textures/ss24_arctic/d_rock_cliff02
		rgbGen identity
	}
	{
		// Secondary
		map textures/enceladus2/pblack
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ss24_arctic/snow_blend
{
	qer_editorImage textures/ss24_arctic/ice1_2
	surfaceparm nodamage
	q3map_alphaMod dotproduct ( 0 0 0.85 )
	q3map_nonplanar
	q3map_shadeAngle 90
	{
		// Primary
		map  textures/ss24_arctic/ice1_2
		rgbGen identity
	}
	{
		// Secondary
		map textures/enceladus2/pblack
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ss24_arctic/flag1_1
{
	qer_editorimage textures/ss24_arctic/ss_portrait
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	cull none

	{
		map textures/ss24_arctic/ss_portrait
		rgbGen identity
	}
	{
		map textures/ss24_arctic/ss_portrait
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ss24_arctic/safety_glass
{
	qer_trans 0.5
	qer_editorimage textures/ss24_arctic/s_glass.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/ss24_arctic/s_glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
